### Method

# EDataServer SourceOpenPGP get_key_id

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_openpgp_get_key_id (
      ESourceOpenPGP* extension
    )

#### Description [src]

Returns the OpenPGP key ID used to sign and encrypt messages.

Available since: 3.6

Gets property | `EDataServer.SourceOpenPGP:key-id`

#### Return value

Type: `const gchar*`

The key ID used to sign and encrypt messages.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.